Index: trunk/org.gvsig.app.document.layout2.app/org.gvsig.app.document.layout2.app.mainplugin/src/main/java/org/gvsig/app/extension/reportfromlayout/ConfigureReportFromLayout.java
===================================================================
--- trunk/org.gvsig.app.document.layout2.app/org.gvsig.app.document.layout2.app.mainplugin/src/main/java/org/gvsig/app/extension/reportfromlayout/ConfigureReportFromLayout.java	(revision 1607)
+++ trunk/org.gvsig.app.document.layout2.app/org.gvsig.app.document.layout2.app.mainplugin/src/main/java/org/gvsig/app/extension/reportfromlayout/ConfigureReportFromLayout.java	(revision 1608)
@@ -8,9 +8,6 @@
 import java.awt.Dimension;
 import java.awt.event.ActionEvent;
 import java.awt.event.ActionListener;
-import java.io.ByteArrayOutputStream;
-import java.io.InputStream;
-import java.nio.charset.StandardCharsets;
 import java.util.List;
 import java.util.function.Predicate;
 import javax.json.JsonObject;
@@ -18,46 +15,37 @@
 import javax.swing.JComponent;
 import javax.swing.JOptionPane;
 import javax.swing.SwingUtilities;
+import javax.swing.event.ChangeEvent;
 import javax.swing.event.DocumentEvent;
 import javax.swing.event.DocumentListener;
 import javax.swing.event.TreeSelectionEvent;
-import org.apache.commons.codec.binary.Hex;
-import org.apache.commons.io.IOUtils;
 import org.apache.commons.lang3.StringUtils;
 import org.gvsig.app.ApplicationLocator;
-import org.gvsig.app.gui.styling.SymbolSelector;
 import org.gvsig.app.project.documents.Document;
 import org.gvsig.app.project.documents.layout.LayoutDocument;
 import org.gvsig.app.project.documents.layout.fframes.FFrameView;
 import org.gvsig.app.project.documents.layout.fframes.IFFrame;
 import org.gvsig.app.project.documents.layout.report.LayoutReportAction;
 import org.gvsig.app.project.documents.layout.report.LayoutReportActionFactory;
-import org.gvsig.app.project.documents.layout.report.LayoutReportActionImpl;
-import org.gvsig.app.project.documents.view.legend.gui.ISymbolSelector;
-import org.gvsig.fmap.dal.feature.FeatureAttributeDescriptor;
+import org.gvsig.app.project.documents.layout.report.LayoutReportActionParameters;
 import org.gvsig.fmap.dal.feature.FeatureStore;
 import org.gvsig.fmap.dal.swing.DALSwingLocator;
 import org.gvsig.fmap.dal.swing.DataSwingManager;
 import org.gvsig.fmap.dal.swing.report.ReportAction;
 import org.gvsig.fmap.dal.swing.storesrepository.StoresRepositoryController;
-import org.gvsig.fmap.mapcontext.MapContextLocator;
 import org.gvsig.fmap.mapcontext.rendering.symbols.ISymbol;
-import org.gvsig.json.Json;
-import org.gvsig.json.JsonObjectBuilder;
+import org.gvsig.symbology.swing.SymbologySwingLocator;
 import org.gvsig.tools.ToolsLocator;
 import org.gvsig.tools.dispose.DisposeUtils;
 import org.gvsig.tools.i18n.I18nManager;
-import org.gvsig.tools.persistence.PersistenceManager;
-import org.gvsig.tools.persistence.PersistentState;
-import org.gvsig.tools.resourcesstorage.ResourcesStorage;
 import org.gvsig.tools.swing.api.ListElement;
 import org.gvsig.tools.swing.api.ToolsSwingLocator;
 import org.gvsig.tools.swing.api.ToolsSwingManager;
 import org.gvsig.tools.swing.api.ToolsSwingUtils;
 import org.gvsig.tools.swing.api.documentfilters.PositiveDoubleDocumentFilter;
+import org.gvsig.tools.swing.api.pickercontroller.PickerController;
 import org.gvsig.tools.swing.api.threadsafedialogs.ThreadSafeDialogsManager;
 import org.gvsig.tools.swing.api.windowmanager.Dialog;
-import org.gvsig.tools.swing.api.windowmanager.WindowManager;
 import org.gvsig.tools.swing.api.windowmanager.WindowManager_v2;
 import org.gvsig.tools.util.LabeledValue;
 import org.gvsig.tools.util.LabeledValueImpl;
@@ -71,11 +59,14 @@
 public class ConfigureReportFromLayout extends ConfigureReportFromLayoutPanelView {
 
     private static final Logger LOGGER = LoggerFactory.getLogger(ConfigureReportFromLayout.class);
+    private static final int TO_RECORD_VALUE = 1;
+    private static final int TO_EVERYTIHNG_EXCEPT_RECORD_VALUE = 2;
 
     private StoresRepositoryController treeSourceController;
     private FeatureStore source;
     private Dialog dialog;
     private ISymbol highlightSymbol;
+    private PickerController<ISymbol> symbolPicker;
 
     public ConfigureReportFromLayout() {
         this.initComponents();
@@ -127,12 +118,17 @@
             doUpdateComponents();
         });
         
-        this.btnSelectSymbol.addActionListener((ActionEvent e) -> {
-            doSelectSymbol();
+        this.chkHighlightRecord.addActionListener((ActionEvent e) -> {
+            doUpdateComponents();
         });
         
-        ToolsSwingManager toolsSwingManager = ToolsSwingLocator.getToolsSwingManager();
+        fillCboApplyTo();
         
+        this.symbolPicker = SymbologySwingLocator.getSwingManager().createSymbolPickerController(btnSelectSymbol, highlightSymbol);
+        this.symbolPicker.addChangeListener((ChangeEvent e) -> {
+            this.highlightSymbol = this.symbolPicker.get();
+        });
+        
         PositiveDoubleDocumentFilter.install(txtBufferSize);
         
         Dimension screensize = ApplicationLocator.getApplicationManager().getUIManager().getInternalSize();
@@ -166,29 +162,12 @@
         doUpdateComponents();
     }
     
-    private void doSelectSymbol() {
-
-        if(this.source == null){
-            return;
-        }
-        FeatureAttributeDescriptor geomAttr = this.source.getDefaultFeatureTypeQuietly().getDefaultGeometryAttribute();
-        if(geomAttr == null){
-            return;
-        }
-        int geomType = geomAttr.getGeomType().getType();
-
-        if(this.highlightSymbol == null) {
-            this.highlightSymbol = MapContextLocator.getMapContextManager().createSymbol(geomType);
-        }
-        ISymbolSelector symSel = SymbolSelector.createSymbolSelector(this.highlightSymbol, geomType);
-
-        WindowManager_v2 windowManager = (WindowManager_v2) ToolsSwingLocator.getWindowManager();
-        windowManager.showWindow((JComponent)symSel, "_Symbol", WindowManager.MODE.DIALOG);
-        this.highlightSymbol = (ISymbol) symSel.getSelectedObject();
-
-    }
+//    private void doChangeApplySymbolTo() {
+//        Object item = cboApplySymbolTo.getSelectedItem();
+//       ((LabeledValue)item)
+//        doUpdateComponents();
+//    }
     
-
     private void doUpdateComponents() {
         this.treeSourceController.setEnabled(true);
 
@@ -196,6 +175,9 @@
         
         this.txtBufferSize.setEnabled(this.chkZoomToCurrentRow.isSelected());
         
+        this.btnSelectSymbol.setEnabled(this.chkHighlightRecord.isSelected());
+        this.cboApplySymbolTo.setEnabled(this.chkHighlightRecord.isSelected());
+        
         if(this.dialog != null){
             boolean enabled = (this.source != null) && (this.getLayoutDocument() != null) && StringUtils.isNotBlank(this.txtIdentifier.getText());
             this.dialog.setButtonEnabled(WindowManager_v2.BUTTON_OK, enabled);
@@ -265,7 +247,18 @@
         }
         this.cboView.setModel(model);
     }
+
+    private void fillCboApplyTo() {
+        DefaultComboBoxModel<LabeledValue<Integer>> model = new DefaultComboBoxModel();
+        I18nManager i18n = ToolsLocator.getI18nManager();
+        
+        model.addElement(new LabeledValueImpl<>(i18n.getTranslation("_to_record"), TO_RECORD_VALUE));
+        model.addElement(new LabeledValueImpl<>(i18n.getTranslation("_to_everything_except_record"), TO_EVERYTIHNG_EXCEPT_RECORD_VALUE));
+        
+        this.cboApplySymbolTo.setModel(model);
+    }
     
+    
     private LayoutReportAction getReportAction(){
         LabeledValue<LayoutReportAction> selected = (LabeledValue<LayoutReportAction>)cboReport.getSelectedItem();
         if(selected == null){
@@ -274,7 +267,7 @@
         return selected.getValue();
     }
     
-    private LayoutDocument getLayoutDocument(){
+    public LayoutDocument getLayoutDocument(){
         LabeledValue<LayoutDocument> selected = (LabeledValue<LayoutDocument>)cboLayout.getSelectedItem();
         if(selected == null){
             return null;
@@ -290,9 +283,9 @@
         return selected.getValue();
     }
     
-    public void fetch(ConfigureReportFromLayoutParameters params){
-        params.setLayout(this.getLayoutDocument());
-        params.setSource(this.source);
+    public void fetch(LayoutReportActionParameters params){
+//        params.setLayout(this.getLayoutDocument());
+//        params.setSource(this.source);
         params.setIdentifier(this.txtIdentifier.getText());
         params.setLabel(this.txtLabel.getText());
         
@@ -301,9 +294,28 @@
         double bufferSize = PositiveDoubleDocumentFilter.getValue(this.txtBufferSize);
         params.setBufferSize(bufferSize);
         params.setViewTag(this.getViewTag());
-        params.setUseIntervalPdfViewer(this.chkUseInternalPdfViewer.isSelected());
+        params.setUseInternalPdfViewer(this.chkUseInternalPdfViewer.isSelected());
         params.setHighlightRecord(this.chkHighlightRecord.isSelected());
         params.setHighlightSymbol(this.highlightSymbol);
+        Object applyToItem = this.cboApplySymbolTo.getSelectedItem();
+        if(applyToItem == null){
+            params.setApplySymbolToRecord(false);
+            params.setApplySymbolToEverythingExceptRecord(false);
+        } else {
+            switch ((int)((LabeledValue)applyToItem).getValue()) {
+                case TO_RECORD_VALUE:
+                    params.setApplySymbolToRecord(true);
+                    params.setApplySymbolToEverythingExceptRecord(false);
+                    break;
+                case TO_EVERYTIHNG_EXCEPT_RECORD_VALUE:
+                    params.setApplySymbolToRecord(false);
+                    params.setApplySymbolToEverythingExceptRecord(true);
+                    break;
+                default:
+                    params.setApplySymbolToRecord(false);
+                    params.setApplySymbolToEverythingExceptRecord(false);
+            }
+        }
     }
 
     private void translate() {
@@ -322,11 +334,13 @@
         manager.translate(txtBufferSize);
         manager.translate(chkHighlightRecord);
         manager.translate(btnSelectSymbol);
+        manager.translate(lblAppySymbolTo);
+        manager.translate(cboApplySymbolTo);
     }
     
-    public boolean doConfigureReportFromLayout(ConfigureReportFromLayoutParameters params) {
-        LayoutDocument layout = params.getLayout();
-        FeatureStore source = params.getSource();
+    public boolean doConfigureReportFromLayout(LayoutReportActionParameters params, LayoutDocument layout, FeatureStore source) {
+//        LayoutDocument layout = params.getLayout();
+//        FeatureStore source = params.getSource();
         String identifier = params.getIdentifier();
         String label = params.getLabel();
         
@@ -364,8 +378,10 @@
         boolean zoomToCurrentRow = params.isZoomToCurrentRow();
         double bufferSize = params.getBufferSize();
         boolean highlightRecord = params.isHighlightRecord();
-        ISymbol highlightSymbol = params.getHighlightSymbol();
-        boolean useInternalPdfViewer = params.isUseIntervalPdfViewer();
+        ISymbol highlightSymbol = params.getHighlightSymbol(source);
+        boolean applySymbolToRecord = params.isApplySymbolToRecord();
+        boolean applySymbolToEverythingExceptRecord = params.isApplySymbolToEverythingExceptRecord();
+        boolean useInternalPdfViewer = params.isUseInternalPdfViewer();
         String viewTag = params.getViewTag();
                 
         return doConfigureReportFromLayout(
@@ -378,6 +394,8 @@
                 bufferSize, 
                 highlightRecord,
                 highlightSymbol,
+                applySymbolToRecord,
+                applySymbolToEverythingExceptRecord,
                 viewTag,
                 useInternalPdfViewer);
         
@@ -394,47 +412,26 @@
             double bufferSize,
             boolean highlightRecord,
             ISymbol highlightSymbol,
+            boolean applySymbolToRecord,
+            boolean applySymbolToEverythingExceptRecord,
             String viewTag,
             boolean useInternalPdfViewer
     ) {
-        ResourcesStorage.Resource resource = null;
-        ResourcesStorage.Resource resourceLayout = null;
-        boolean selfContained = layout.isPersistIndependent();
         try {
-            ResourcesStorage resources = store.getResourcesStorage();
-            
-            String resourceName = getResourceName(resources, name);
-            if(resourceName == null){
-                resourceName = getNextResourceName(resources, "report");
-            }
-            
-            String templateName = LayoutReportActionFactory.LAYOUT_REPORT_ACTION_NAME;
-            if(StringUtils.contains(resourceName, resources.getSeparator())){
-                templateName = StringUtils.replaceIgnoreCase(resourceName, resources.getSeparator()+"report", resources.getSeparator()+LayoutReportActionFactory.LAYOUT_REPORT_ACTION_NAME);
-            }
-            JsonObjectBuilder jsonBuilder = Json.createObjectBuilder();
-            jsonBuilder.add(LayoutReportActionImpl.LAYOUT_REPORT_NAME, name);
-            jsonBuilder.add(LayoutReportActionImpl.LAYOUT_REPORT_TYPE, LayoutReportActionFactory.LAYOUT_REPORT_ACTION_NAME);
-            jsonBuilder.add(LayoutReportActionImpl.LAYOUT_REPORT_LABEL, label);
-            jsonBuilder.add(LayoutReportActionImpl.LAYOUT_REPORT_TEMPLATE_NAME, templateName);
-            if(highlightSymbol != null){
-                jsonBuilder.add(LayoutReportActionImpl.LAYOUT_REPORT_HIGHLIGHT_SYMBOL, this.toString(highlightSymbol));
-            }
-            jsonBuilder.add(LayoutReportActionImpl.LAYOUT_REPORT_CENTER_TO_CURRENT_ROW, centerToCurrentRow);
-            jsonBuilder.add(LayoutReportActionImpl.LAYOUT_REPORT_ZOOM_TO_CURRENT_ROW, zoomToCurrentRow);
-            jsonBuilder.add(LayoutReportActionImpl.LAYOUT_REPORT_BUFFER_SIZE, bufferSize);
-            jsonBuilder.add(LayoutReportActionImpl.LAYOUT_REPORT_HIGHLIGHT_RECORD, highlightRecord);
-            jsonBuilder.add(LayoutReportActionImpl.LAYOUT_REPORT_VIEW_TAG, viewTag);
-            jsonBuilder.add(LayoutReportActionImpl.LAYOUT_REPORT_USE_INTERNAL_PDF_VIEWER, useInternalPdfViewer);
-            
-            resource = resources.getResource(resourceName);
-            IOUtils.write(jsonBuilder.toString(), resource.asOutputStream(), StandardCharsets.UTF_8);
-            
-            resourceLayout = resources.getResource(templateName);
-            PersistenceManager persistenceManager = ToolsLocator.getPersistenceManager();
-            layout.setPersistIndependent(true);
-            PersistentState persistentState = persistenceManager.getState(layout.getMainWindow());
-            persistenceManager.saveState(persistentState, resourceLayout.asOutputStream());
+            LayoutReportActionParameters reportParameters = LayoutReportActionParameters.create();
+            reportParameters.setIdentifier(name);
+            reportParameters.setLabel(label);
+            reportParameters.setHighlightSymbol(highlightSymbol);
+            reportParameters.setCenterToCurrentRow(centerToCurrentRow);
+            reportParameters.setZoomToCurrentRow(zoomToCurrentRow);
+            reportParameters.setBufferSize(bufferSize);
+            reportParameters.setHighlightRecord(highlightRecord);
+            reportParameters.setApplySymbolToRecord(applySymbolToRecord);
+            reportParameters.setApplySymbolToEverythingExceptRecord(applySymbolToEverythingExceptRecord);
+            reportParameters.setViewTag(viewTag);
+            reportParameters.setUseInternalPdfViewer(useInternalPdfViewer);
+
+            reportParameters.save(store, layout);
             ((JComponent)dialog).setVisible(false);
             return true;
         } catch (Exception ex) {
@@ -446,84 +443,9 @@
                     "_Configure_report_from_layout", 
                     JOptionPane.WARNING_MESSAGE);
             return false;
-        } finally {
-            layout.setPersistIndependent(selfContained);
-            IOUtils.closeQuietly(resource);
-            IOUtils.closeQuietly(resourceLayout);
         }
-        
     }
     
-    private String toString(ISymbol symbol){
-        try {
-            if(symbol == null){
-                return null;
-            }
-            PersistenceManager persistenceManager = ToolsLocator.getPersistenceManager();
-            PersistentState state = persistenceManager.getState(symbol);
-            ByteArrayOutputStream out = new ByteArrayOutputStream();
-            persistenceManager.saveState(state, out);
-            return Hex.encodeHexString(out.toByteArray());
-        } catch (Exception ex) {
-            throw new RuntimeException("Can't persist symbol", ex);
-        }
-    }
-    
-    private String getNextResourceName(ResourcesStorage resources, String resourceName){
-        List<ResourcesStorage.Resource> reports = resources.getResources(resourceName);
-        if(reports == null || reports.isEmpty()){
-            return resourceName;
-        }
-        int n = -1;
-        for (ResourcesStorage.Resource report : reports) {
-            if(StringUtils.contains(report.getName(), resources.getSeparator())){
-                String[] s = StringUtils.split(report.getName(), resources.getSeparator());
-                n = Math.max(n, Integer.parseInt(s[0]));
-            } else {
-                n=0;
-            }
-        }
-        
-        if (n < 0) {
-            return resourceName;
-        }
-        
-        n++;
-        return String.valueOf(n) + resources.getSeparator() + resourceName;
-
-        
-    }
-    
-    private String getResourceName(ResourcesStorage resources, String reportName) {
-        try {
-            if (resources != null) {
-                List<ResourcesStorage.Resource> reportsResources = resources.getResources("report");
-                if (reportsResources != null && !reportsResources.isEmpty()) {
-                    for (ResourcesStorage.Resource resource : reportsResources) {
-                        InputStream is = null;
-                        try {
-                            is = resource.asInputStream();
-                            JsonObject json = javax.json.Json.createReader(is).readObject();
-                            String name = json.getString(LayoutReportActionImpl.LAYOUT_REPORT_NAME, null);
-                            if(StringUtils.equalsIgnoreCase(name, reportName)){
-                                return resource.getName();
-                            }
-                        } catch (Exception ex) {
-                            LOGGER.warn("Can't load report form resource (" + resource.getURL() + ")", ex);
-                        } finally {
-                            IOUtils.closeQuietly(is);
-                        }
-                        DisposeUtils.disposeQuietly(resource);
-                    }
-                }
-            }
-        } finally {
-            DisposeUtils.disposeQuietly(resources);
-        }
-        return null;
-    }
-    
-
     private void doChangeReport() {
         LayoutReportAction report = getReportAction();
         if(report == null){
@@ -532,12 +454,14 @@
         } else {
             this.txtIdentifier.setText(report.getReportName());
             this.txtLabel.setText(report.getReportLabel());
-            this.chkCenterToCurrentRow.setSelected(report.isCenterToCurrentRow());
-            this.chkZoomToCurrentRow.setSelected(report.isZoomToCurrentRow());
-            PositiveDoubleDocumentFilter.setValue(this.txtBufferSize,report.getBufferSize());
-            this.chkHighlightRecord.setSelected(report.isHighlightRecord());
-            ListElement.setSelected(this.cboView, report.getViewTag());
-            this.chkUseInternalPdfViewer.setSelected(report.isUseInternalPdfViewer());
+            this.chkCenterToCurrentRow.setSelected(report.getParameters().isCenterToCurrentRow());
+            this.chkZoomToCurrentRow.setSelected(report.getParameters().isZoomToCurrentRow());
+            PositiveDoubleDocumentFilter.setValue(this.txtBufferSize,report.getParameters().getBufferSize());
+            this.chkHighlightRecord.setSelected(report.getParameters().isHighlightRecord());
+            this.highlightSymbol = report.getParameters().getHighlightSymbol(this.source);
+            ListElement.setSelected(this.cboView, report.getParameters().getViewTag());
+            this.chkUseInternalPdfViewer.setSelected(report.getParameters().isUseInternalPdfViewer());
+            this.symbolPicker.set(this.highlightSymbol);
         }
         doUpdateComponents();
     }
@@ -545,6 +469,10 @@
     void setDialog(Dialog dialog) {
         this.dialog = dialog;
     }
+
+    public FeatureStore getStore() {
+        return this.source;
+    }
     
 
     
Index: trunk/org.gvsig.app.document.layout2.app/org.gvsig.app.document.layout2.app.mainplugin/src/main/java/org/gvsig/app/extension/reportfromlayout/ExportReportToLayoutParameters.java
===================================================================
--- trunk/org.gvsig.app.document.layout2.app/org.gvsig.app.document.layout2.app.mainplugin/src/main/java/org/gvsig/app/extension/reportfromlayout/ExportReportToLayoutParameters.java	(revision 1607)
+++ trunk/org.gvsig.app.document.layout2.app/org.gvsig.app.document.layout2.app.mainplugin/src/main/java/org/gvsig/app/extension/reportfromlayout/ExportReportToLayoutParameters.java	(revision 1608)
@@ -6,6 +6,7 @@
 package org.gvsig.app.extension.reportfromlayout;
 
 import java.io.File;
+import org.gvsig.app.project.documents.layout.report.LayoutReportAction;
 import org.gvsig.fmap.dal.feature.FeatureStore;
 import org.gvsig.fmap.dal.swing.report.ReportAction;
 
@@ -15,9 +16,9 @@
  */
 public interface ExportReportToLayoutParameters {
     
-    public ReportAction getReportAction();
+    public LayoutReportAction getReportAction();
 
-    public void setReportAction(ReportAction report);
+    public void setReportAction(LayoutReportAction report);
 
     public FeatureStore getSource();
 
Index: trunk/org.gvsig.app.document.layout2.app/org.gvsig.app.document.layout2.app.mainplugin/src/main/java/org/gvsig/app/extension/reportfromlayout/ExportReportToLayoutParametersImpl.java
===================================================================
--- trunk/org.gvsig.app.document.layout2.app/org.gvsig.app.document.layout2.app.mainplugin/src/main/java/org/gvsig/app/extension/reportfromlayout/ExportReportToLayoutParametersImpl.java	(revision 1607)
+++ trunk/org.gvsig.app.document.layout2.app/org.gvsig.app.document.layout2.app.mainplugin/src/main/java/org/gvsig/app/extension/reportfromlayout/ExportReportToLayoutParametersImpl.java	(revision 1608)
@@ -6,16 +6,15 @@
 package org.gvsig.app.extension.reportfromlayout;
 
 import java.io.File;
-import org.gvsig.app.project.documents.layout.LayoutDocument;
+import org.gvsig.app.project.documents.layout.report.LayoutReportAction;
 import org.gvsig.fmap.dal.feature.FeatureStore;
-import org.gvsig.fmap.dal.swing.report.ReportAction;
 
 /**
  *
  * @author fdiaz
  */
 public class ExportReportToLayoutParametersImpl implements ExportReportToLayoutParameters {
-    ReportAction report;
+    LayoutReportAction report;
     FeatureStore source;
     File file;
 
@@ -30,12 +29,12 @@
     }
 
     @Override
-    public ReportAction getReportAction() {
+    public LayoutReportAction getReportAction() {
         return this.report;
     }
 
     @Override
-    public void setReportAction(ReportAction report) {
+    public void setReportAction(LayoutReportAction report) {
         this.report = report;
     }
 
Index: trunk/org.gvsig.app.document.layout2.app/org.gvsig.app.document.layout2.app.mainplugin/src/main/java/org/gvsig/app/extension/reportfromlayout/ConfigureReportFromLayoutPanelView.java
===================================================================
--- trunk/org.gvsig.app.document.layout2.app/org.gvsig.app.document.layout2.app.mainplugin/src/main/java/org/gvsig/app/extension/reportfromlayout/ConfigureReportFromLayoutPanelView.java	(revision 1607)
+++ trunk/org.gvsig.app.document.layout2.app/org.gvsig.app.document.layout2.app.mainplugin/src/main/java/org/gvsig/app/extension/reportfromlayout/ConfigureReportFromLayoutPanelView.java	(revision 1608)
@@ -41,8 +41,10 @@
    JCheckBox chkZoomToCurrentRow = new JCheckBox();
    JLabel lblBufferSize = new JLabel();
    JTextField txtBufferSize = new JTextField();
+   JCheckBox chkCenterToCurrentRow = new JCheckBox();
+   JLabel lblAppySymbolTo = new JLabel();
+   JComboBox cboApplySymbolTo = new JComboBox();
    JButton btnSelectSymbol = new JButton();
-   JCheckBox chkCenterToCurrentRow = new JCheckBox();
 
    /**
     * Default constructor
@@ -134,7 +136,7 @@
    public JPanel createPanel()
    {
       JPanel jpanel1 = new JPanel();
-      FormLayout formlayout1 = new FormLayout("FILL:4DLU:NONE,FILL:DEFAULT:NONE,FILL:4DLU:NONE,FILL:DEFAULT:GROW(1.0),FILL:4DLU:NONE","CENTER:2DLU:NONE,CENTER:DEFAULT:NONE,CENTER:2DLU:NONE,CENTER:DEFAULT:GROW(1.0),CENTER:2DLU:NONE,CENTER:DEFAULT:NONE,CENTER:2DLU:NONE,CENTER:DEFAULT:NONE,CENTER:2DLU:NONE,CENTER:DEFAULT:NONE,CENTER:2DLU:NONE,CENTER:DEFAULT:NONE,CENTER:2DLU:NONE,CENTER:DEFAULT:NONE,CENTER:2DLU:NONE,CENTER:DEFAULT:NONE,CENTER:2DLU:NONE,CENTER:DEFAULT:NONE,CENTER:2DLU:NONE,CENTER:DEFAULT:NONE,CENTER:2DLU:NONE,CENTER:DEFAULT:NONE,CENTER:2DLU:NONE");
+      FormLayout formlayout1 = new FormLayout("FILL:4DLU:NONE,FILL:DEFAULT:NONE,FILL:4DLU:NONE,FILL:22DLU:GROW(1.0),FILL:4DLU:NONE","CENTER:2DLU:NONE,CENTER:DEFAULT:NONE,CENTER:2DLU:NONE,CENTER:DEFAULT:GROW(1.0),CENTER:2DLU:NONE,CENTER:DEFAULT:NONE,CENTER:2DLU:NONE,CENTER:DEFAULT:NONE,CENTER:2DLU:NONE,CENTER:DEFAULT:NONE,CENTER:2DLU:NONE,CENTER:DEFAULT:NONE,CENTER:2DLU:NONE,CENTER:DEFAULT:NONE,CENTER:2DLU:NONE,CENTER:DEFAULT:NONE,CENTER:2DLU:NONE,CENTER:DEFAULT:NONE,CENTER:2DLU:NONE,CENTER:DEFAULT:NONE,CENTER:2DLU:NONE,CENTER:DEFAULT:NONE,CENTER:2DLU:NONE");
       CellConstraints cc = new CellConstraints();
       jpanel1.setLayout(formlayout1);
 
@@ -203,17 +205,13 @@
       jpanel1.add(chkHighlightRecord,cc.xy(2,16));
 
       jpanel1.add(createPanel1(),cc.xywh(2,20,3,1));
-      btnSelectSymbol.setActionCommand("_Select_symbol");
-      btnSelectSymbol.setName("btnSelectSymbol");
-      btnSelectSymbol.setText("_Select_symbol");
-      jpanel1.add(btnSelectSymbol,new CellConstraints(4,16,1,1,CellConstraints.LEFT,CellConstraints.DEFAULT));
-
       chkCenterToCurrentRow.setActionCommand("_Center_to_current_row");
       chkCenterToCurrentRow.setName("chkCenterToCurrentRow");
       chkCenterToCurrentRow.setText("_Center_to_current_row");
       chkCenterToCurrentRow.setToolTipText("_Center_to_current_row_description");
       jpanel1.add(chkCenterToCurrentRow,cc.xywh(2,18,3,1));
 
+      jpanel1.add(createPanel2(),cc.xy(4,16));
       addFillComponents(jpanel1,new int[]{ 1,2,3,4,5 },new int[]{ 1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23 });
       return jpanel1;
    }
@@ -244,6 +242,30 @@
       return jpanel1;
    }
 
+   public JPanel createPanel2()
+   {
+      JPanel jpanel1 = new JPanel();
+      FormLayout formlayout1 = new FormLayout("FILL:22DLU:NONE,FILL:4DLU:NONE,FILL:DEFAULT:NONE,FILL:4DLU:NONE,FILL:8DLU:GROW(1.0)","CENTER:DEFAULT:NONE");
+      CellConstraints cc = new CellConstraints();
+      jpanel1.setLayout(formlayout1);
+
+      lblAppySymbolTo.setName("lblAppySymbolTo");
+      lblAppySymbolTo.setText("_Apply_symbol");
+      jpanel1.add(lblAppySymbolTo,cc.xy(3,1));
+
+      cboApplySymbolTo.setName("cboApplySymbolTo");
+      jpanel1.add(cboApplySymbolTo,cc.xy(5,1));
+
+      btnSelectSymbol.setActionCommand("...");
+      btnSelectSymbol.setName("btnSelectSymbol");
+      btnSelectSymbol.setText("...");
+      btnSelectSymbol.setToolTipText("_Select_symbol");
+      jpanel1.add(btnSelectSymbol,new CellConstraints(1,1,1,1,CellConstraints.FILL,CellConstraints.FILL));
+
+      addFillComponents(jpanel1,new int[]{ 2,4 },new int[0]);
+      return jpanel1;
+   }
+
    /**
     * Initializer
     */
Index: trunk/org.gvsig.app.document.layout2.app/org.gvsig.app.document.layout2.app.mainplugin/src/main/java/org/gvsig/app/extension/reportfromlayout/ConfigureReportFromLayoutExtension.java
===================================================================
--- trunk/org.gvsig.app.document.layout2.app/org.gvsig.app.document.layout2.app.mainplugin/src/main/java/org/gvsig/app/extension/reportfromlayout/ConfigureReportFromLayoutExtension.java	(revision 1607)
+++ trunk/org.gvsig.app.document.layout2.app/org.gvsig.app.document.layout2.app.mainplugin/src/main/java/org/gvsig/app/extension/reportfromlayout/ConfigureReportFromLayoutExtension.java	(revision 1608)
@@ -16,6 +16,7 @@
 import org.gvsig.app.project.Project;
 import org.gvsig.app.project.documents.Document;
 import org.gvsig.app.project.documents.layout.LayoutDocument;
+import org.gvsig.app.project.documents.layout.report.LayoutReportActionParameters;
 import org.gvsig.tools.ToolsLocator;
 import org.gvsig.tools.future.FutureUtils;
 import org.gvsig.tools.i18n.I18nManager;
@@ -78,13 +79,14 @@
                 switch( dialog.getAction()) {
                     case WindowManager_v2.BUTTON_OK:
                         dialog.setButtonEnabled(WindowManager_v2.BUTTON_OK, false);                        
-                        ConfigureReportFromLayoutParameters params = new ConfigureReportFromLayoutParametersImpl();
+                        LayoutReportActionParameters params = LayoutReportActionParameters.create();
                         panel.fetch(params);
-                        if(panel.doConfigureReportFromLayout(params)){
+                        if(panel.doConfigureReportFromLayout(params, panel.getLayoutDocument(), panel.getStore())){
                             ((JComponent)dialog).setVisible(false);
-                        };
+                        }
                         break;
 
+
                     case WindowManager_v2.BUTTON_CANCEL:
                         ((JComponent)dialog).setVisible(false);
                         break;
